#
# spec file for package python-pytest-faulthandler
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-faulthandler
Version:        1.6.0
Release:        bp153.1.16
Summary:        PyTest plugin that activates the fault handler module for tests
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pytest-dev/pytest-faulthandler
Source:         https://files.pythonhosted.org/packages/source/p/pytest-faulthandler/pytest-faulthandler-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-faulthandler
BuildRequires:  python-rpm-macros
Requires:       python-pytest < 5
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest < 5}
BuildRequires:  %{python_module pytest-mock >= 0.6}
# /SECTION
%ifpython2
Requires:       python-faulthandler
%endif
%python_subpackages

%description
Plugin for pytest that automatically enables the
faulthandler module during tests.

Inspired by the nose faulthandler plugin.

%prep
%setup -q -n pytest-faulthandler-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONDONTWRITEBYTECODE=1
%pytest test_pytest_faulthandler.py

%files %{python_files}
%doc README.rst CHANGELOG.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Aug 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Do not pull in pytest 5 as it is integral part of that
  (yet we need it on py3 for pytest3 and pytest4)
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.6.0:
  * The warning about fault-handler timeout not being supported in some platforms has been moved to the section header (#32).
  * pytest 4.0+ is now required.
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Drop not needed devel BR
* Thu May 24 2018 toddrme2178@gmail.com
- spec file cleanups
- Fix tests
- Fix summary
* Mon Apr 23 2018 arun@gmx.de
- specfile:
  * update copyright year
  * add Changelog and LICENSE
  * always run tests
- update to version 1.5.0:
  * Support installation in PyPy (#28). Thanks @lazka for the PR.
- changes from version 1.4.1:
  * Drop support for Python 2.6 and Python 3.3.
  * Fix crash when using pytester in default mode with newer pytest
    versions (#24). Thanks @njsmith for the patch.
- changes from version 1.4.0:
  * Botched release, never published to PyPI.
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
